var isGen4 = (navigator.appVersion.charAt(0) >= '4') ? true : false;
var isWin  = (navigator.userAgent.indexOf('Win') >= 0) ? true : false;
var isMac  = (navigator.userAgent.indexOf('Mac') >= 0) ? true : false;

function indicate(imgName) {
	if (isGen4) { document.indicator.src = eval(imgName + '.src'); }
}

function on(imgName) {
	if (isGen4) { document[imgName].src = eval(imgName + '_over.src');}
}

function off(imgName) {
	if (isGen4) { document[imgName].src = eval(imgName + '.src'); }
}

function show(msg) { window.status = msg ; }
function unshow() { window.status = '' ; }

if (isGen4) {
	var singpix				= new Image(102,28);  singpix.src = '/wgbh/pages/mag/images/singpix.gif';
	var about				= new Image(102,28);  about.src = '/wgbh/pages/mag/images/about.gif';
	var about_over			= new Image(102,28);  about_over.src = '/wgbh/pages/mag/images/about_over.gif';
	var services			= new Image(178,106); services.src = '/wgbh/pages/mag/images/services.gif';
	var services_over		= new Image(178,106); services_over.src = '/wgbh/pages/mag/images/services_over.gif';
	var research			= new Image(217, 62); research.src = '/wgbh/pages/mag/images/research.gif';
	var research_over		= new Image(217, 62); research_over.src = '/wgbh/pages/mag/images/research_over.gif';
	var resources			= new Image(112,106); resources.src = '/wgbh/pages/mag/images/resources.gif';
	var resources_over		= new Image(112,106); resources_over.src = '/wgbh/pages/mag/images/resources_over.gif';
	var getinvolved			= new Image(129,106); getinvolved.src = '/wgbh/pages/mag/images/getinvolved.gif';
	var getinvolved_over	= new Image(129,106); getinvolved_over.src = '/wgbh/pages/mag/images/getinvolved_over.gif';
}
